be.fgov.ehealth.hubservices.core.v2

## Class BasicHcPartyType

- java.lang.Object
- - be.fgov.ehealth.hubservices.core.v2.BasicHcPartyType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:03:09+01:00",
                 comments="JAXB RI v2.2.11")
      public class BasicHcPartyType
      extends Object
      implements Serializable

  Java class for BasicHcPartyType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="BasicHcPartyType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="id" type="{http://www.ehealth.fgov.be/standards/kmehr/id/v1}ID-HCPARTY" maxOccurs="unbounded" minOccurs="0"/>
               <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-HCPARTY" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicHcPartyType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<CDHCPARTY>` | `getCds()` Gets the value of the cds property.
    `List<IDHCPARTY>` | `getIds()` Gets the value of the ids property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicHcPartyType

          public BasicHcPartyType()

  - ### Method Detail

    - #### getIds

          public List<IDHCPARTY> getIds()

      Gets the value of the ids property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ids property.

      For example, to add a new item, do as follows:

              getIds().add(newItem);

      Objects of the following type(s) are allowed in the list `IDHCPARTY`

    - #### getCds

          public List<CDHCPARTY> getCds()

      Gets the value of the cds property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cds property.

      For example, to add a new item, do as follows:

              getCds().add(newItem);

      Objects of the following type(s) are allowed in the list `CDHCPARTY`

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.